Subject: Re: bug#44503: 27.1; image-scroll-up and image-scroll-down

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 07 May 2022 15:06:29 +0200

Eli Zaretskii <[email-masked]> writes:

>> Well, the doc strings for these commands don't really describe
>> interactive usage at all, but I think most people would interpret what's
>> there as "it's like (interactive "p"), but with no prefix at all it
>> behaves differently".  (Which is what it does -- a full screen instead
>> of a line.)
>
> What about the value of '-' ?
>
>> Stating this explicitly in the doc strings of these four commands would
>> be nice.  So something like:
>> 
>> Interactively, giving this command a numerical prefix will scroll by
>> that many lines.  Without a prefix, scroll by a full screen.
>
> Btw, the doc strings also use both N and ARG, but should only use N.

I think I've now fixed all of this in the affected for doc strings in
Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no